<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Admin - Product</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- FONT AWESOME -->

    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.2/css/all.min.css"
      integrity="sha512-1sCRPdkRXhBV2PBLUdRb4tMg1w2YPf37qatUFeS7zlBy7jJI8Lf4VHwWfZZfpXtYSLy85pkm9GaYVYMfw5BC1A=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    />

    <!-- Bootstrap CSS v5.2.0-beta1 -->
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css"
      integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor"
      crossorigin="anonymous"
    />
    <!-- MAIN CSS -->
    <link rel="stylesheet" href="./css/admin_index.css" />
  </head>

  <body>
    <div id="loading-screen">
      <div class="spinner-border text-warning" role="status">
        <span class="visually-hidden">Loading...</span>
      </div>
    </div>
    <header>
      <div class="container my-4 d-flex justify-content-between">
        <h1>Admin product management page</h1>
      </div>
    </header>
    <section class="product">
      <div class="container">
        <div class="product__search input-group mb-3">
          <input
            type="text"
            class="search__input form-control"
            placeholder="Nhập tên sản phẩm cần tìm"
            aria-label="Product Name"
            aria-describedby="basic-addon2"
          />
          <div class="form-floating search__select">
            <select
              id="search-select"
              class="form-select"
              aria-label="Default select example"
            >
              <option value="name" selected>Tên sản ghẩm</option>
              <option value="type">Thương hiệu</option>
              <option value="id">id</option>
            </select>
            <label for="search-select">Tìm kiếm theo</label>
          </div>
          <span class="search__button input-group-text" id="basic-addon2"
            ><i class="fa-solid fa-magnifying-glass"></i
          ></span>
        </div>
        <div>
          <button
            class="product__add btn btn-danger overlay-slash"
            data-bs-toggle="modal"
            data-bs-target="#product-edit"
          >
            Thêm sản phẩm
          </button>
        </div>
        <table class="table table-hover">
          <thead>
            <tr>
              <th scope="col">Id</th>
              <th scope="col">Thương hiệu</th>
              <th scope="col">Tên</th>
              <th scope="col">Giá</th>
              <th scope="col">Màn hình</th>
              <th scope="col">Camera sau</th>
              <th scope="col">Camera trước</th>
              <th scope="col">Image Source</th>
              <th scope="col">Miêu tả</th>
              <th scope="col">Sửa</th>
            </tr>
          </thead>
          <tbody class="product__details"></tbody>
        </table>
        <div
          id="product-edit"
          class="product__edit modal fade"
          data-bs-backdrop="static"
          data-bs-keyboard="false"
          tabindex="-1"
          aria-labelledby="EditProduct"
          aria-hidden="true"
        >
          <div class="modal-dialog modal-dialog-scrollable">
            <div class="modal-content">
              <div class="modal-header">
                <span class="fs-4 fw-semibold">Thêm sản phẩm</span>
                <button
                  type="button"
                  class="btn-close"
                  data-bs-dismiss="modal"
                  aria-label="Close"
                ></button>
              </div>
              <div class="modal-body">
                <div class="input-group edit-id">
                  <span class="input-group-text">Id</span>
                  <input
                    id="txt-edit-id"
                    type="text"
                    class="form-control"
                    placeholder="Nhập id"
                    aria-label="id"
                  />
                  <div class="edit-id__loading">
                    <div class="spinner-border text-secondary" role="status">
                      <span class="visually-hidden">Loading...</span>
                    </div>
                    <i class="fa-regular fa-circle-check text-success"></i>
                    <i class="fa-regular fa-circle-xmark text-danger"></i>
                  </div>
                </div>
                <p
                  id="txt-edit-id-error"
                  class="text-danger w-100 mb-0 ms-2"
                ></p>
                <div class="mt-3">
                  <label
                    for="edit-type"
                    class="form-label fw-semibold ms-2 mb-1"
                    >Thương hiệu</label
                  >
                  <input
                    id="txt-edit-type"
                    type="text"
                    class="form-control"
                    placeholder="Nhập thương hiệu sản phẩm"
                    aria-label="type"
                    data-input="input-edit-regular"
                    data-tiengviet="Thương hiệu"
                  />
                  <p
                    id="txt-edit-type-error"
                    class="text-danger w-100 mb-0 ms-2"
                  ></p>
                </div>
                <div class="mt-3">
                  <label
                    for="edit-name"
                    class="form-label fw-semibold ms-2 mb-1"
                    >Tên</label
                  >
                  <input
                    id="txt-edit-name"
                    type="text"
                    class="form-control"
                    placeholder="Nhập tên sản phẩm"
                    aria-label="name"
                    data-input="input-edit-regular"
                    data-tiengviet="Tên"
                  />
                  <p
                    id="txt-edit-name-error"
                    class="text-danger w-100 mb-0 ms-2"
                  ></p>
                </div>
                <div class="mt-3">
                  <label
                    for="edit-price"
                    class="form-label fw-semibold ms-2 mb-1"
                    >Giá</label
                  >
                  <input
                    id="txt-edit-price"
                    type="text"
                    class="form-control"
                    placeholder="Nhập giá bán"
                    aria-label="price"
                  />
                  <p
                    id="txt-edit-price-error"
                    class="text-danger w-100 mb-0 ms-2"
                  ></p>
                </div>
                <div class="mt-3">
                  <label
                    for="edit-screen"
                    class="form-label fw-semibold ms-2 mb-1"
                    >Màn hình</label
                  >
                  <input
                    id="txt-edit-screen"
                    type="text"
                    class="form-control"
                    placeholder="Nhập thông tin màn hình"
                    aria-label="screen"
                    data-input="input-edit-regular"
                    data-tiengviet="Màn hình"
                  />
                  <p
                    id="txt-edit-screen-error"
                    class="text-danger w-100 mb-0 ms-2"
                  ></p>
                </div>
                <div class="mt-3">
                  <label
                    for="edit-backCam"
                    class="form-label fw-semibold ms-2 mb-1"
                    >Camera sau</label
                  >
                  <input
                    id="txt-edit-backCam"
                    type="text"
                    class="form-control"
                    placeholder="Nhập thông tin camera sau"
                    aria-label="backCam"
                    data-input="input-edit-regular"
                    data-tiengviet="Camera sau"
                  />
                  <p
                    id="txt-edit-backCam-error"
                    class="text-danger w-100 mb-0 ms-2"
                  ></p>
                </div>
                <div class="mt-3">
                  <label
                    for="edit-frontCam"
                    class="form-label fw-semibold ms-2 mb-1"
                    >Camera trước</label
                  >
                  <input
                    id="txt-edit-frontCam"
                    type="text"
                    class="form-control"
                    placeholder="Nhập camera trước"
                    aria-label="frontCam"
                    data-input="input-edit-regular"
                    data-tiengviet="Camera trước"
                  />
                  <p
                    id="txt-edit-frontCam-error"
                    class="text-danger w-100 mb-0 ms-2"
                  ></p>
                </div>
                <div class="mt-3">
                  <label for="edit-img" class="form-label fw-semibold ms-2 mb-1"
                    >Hình</label
                  >
                  <input
                    id="txt-edit-img"
                    type="text"
                    class="form-control"
                    placeholder="Nhập đường dẫn hình sản phẩm"
                    aria-label="img"
                    data-input="input-edit-regular"
                    data-tiengviet="Nguồn hình"
                  />
                  <p
                    id="txt-edit-img-error"
                    class="text-danger w-100 mb-0 ms-2"
                  ></p>
                </div>
                <div class="mt-3">
                  <label
                    for="edit-desc"
                    class="form-label fw-semibold ms-2 mb-1"
                    >Miêu tả</label
                  >
                  <textarea
                    id="txt-edit-desc"
                    class="form-control"
                    aria-label="desc"
                    data-input="input-edit-regular"
                    data-tiengviet="Miêu tả"
                  ></textarea>
                  <p
                    id="txt-edit-desc-error"
                    class="text-danger w-100 mb-0 ms-2"
                  ></p>
                </div>
              </div>
              <div class="modal-footer">
                <button
                  type="button"
                  class="btn btn-secondary"
                  data-bs-dismiss="modal"
                >
                  Đóng
                </button>
                <button
                  id="reset-input-form"
                  type="button"
                  class="btn btn-warning"
                >
                  Reset
                </button>
                <button
                  id="add-product"
                  type="button"
                  class="btn btn-gradient overlay-slash"
                >
                  Thêm sản phẩm
                </button>
                <button
                  id="update-product"
                  type="button"
                  class="btn btn-gradient overlay-slash"
                >
                  Cập nhật
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <footer>
      <div class="container">
        <p>Không có sản phẩm</p>
      </div>
    </footer>
    <!-- Bootstrap JavaScript Libraries -->
    <script
      src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.5/dist/umd/popper.min.js"
      integrity="sha384-Xe+8cL9oJa6tN/veChSP7q+mnSPaj5Bcu9mPX5F5xIGE0DVittaqT5lorf0EI7Vk"
      crossorigin="anonymous"
    ></script>

    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/js/bootstrap.min.js"
      integrity="sha384-kjU+l4N0Yf4ZOJErLsIcvOU2qSb74wXpOhqTvwVx3OElZRweTnQ6d31fXEoRD1Jy"
      crossorigin="anonymous"
    ></script>

    <!-- AXIOS -->
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.27.2/axios.min.js"
      integrity="sha512-odNmoc1XJy5x1TMVMdC7EMs3IVdItLPlCeL5vSUPN2llYKMJ2eByTTAIiiuqLg+GdNr9hF6z81p27DArRFKT7A=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    ></script>

    <!-- MAIN JS -->
    <script type="module" src="./controller/adminPage/admin.index.js"></script>
  </body>
</html>
